<?php do_action('before_km_sessions'); ?>

<?php if($sessions->data->sessions): ?>
    <?php print apply_filters("fieldday_session_filterinfo", $this->session_filterinfo($sessions, $filters), $sessions, $filters); ?>
    <?php foreach ($sessions->data->sessions as $session) : ?>
    <section class="program-wrap" data-location-id="<?php echo $session->_id; ?>">
        <div class="km_sessionlist_head" id="km_sessionlist_head_two_layout">
            <div class="km_session_title">
                <button type="button" class="km_session_location km_primary_bg"><i class="fa fa-map-marker"></i> <?php echo $session->name; ?></button>
                <span class="km_sessions_description"><?php echo implode(', ', [$session->street, $session->city, $session->state, $session->country]); ?></span>
                <span class="devider"></span>
                <span class="devider"></span>
                <span class="devider"></span>
            </div>
        </div>
        <div class="wrap">
            <div class="session-container__list__icons">
                <div class="session-container__list__icons--date">
                </div>

                <div class="session-container__list__icons--time">
                </div>

                <div class="session-container__list__icons--amount">
                </div>
            </div>
        </div>
        <ul class="km_sessions_list km_list km_grid" id="km_sessions_list_two_column_layout">
            <?php echo fieldday()->engine->getView('layout/session_loop', ['sessions' => $session->sessions, 'permalink' => get_the_permalink(), 'filters' => $filters, 'tagId' => $tagId]); ?>
        </ul>
    </section>
    <?php endforeach; ?>
<?php else: ?>
    <div class='km_nodata'><?php $this->displayText('km_no_session_found'); ?></div>
<?php endif; ?>
