jQuery(document).ready(function(){
    const primary_color = document.querySelector('#km_fieldday_primary_color'); 
    var primary_color_value = jQuery(primary_color).val();
    jQuery(primary_color).css('background',primary_color_value);
    if(primary_color){
    const pickr = new Pickr({
      el: primary_color,
      useAsButton: true,
      theme: 'monolith',

      swatches: [
        'rgba(244, 67, 54, 1)',
        'rgba(233, 30, 99, 0.95)',
        'rgba(156, 39, 176, 0.9)',
        'rgba(103, 58, 183, 0.85)',
        'rgba(63, 81, 181, 0.8)',
        'rgba(33, 150, 243, 0.75)',
        'rgba(3, 169, 244, 0.7)',
        'rgba(0, 188, 212, 0.7)',
        'rgba(0, 150, 136, 0.75)',
        'rgba(76, 175, 80, 0.8)',
        'rgba(139, 195, 74, 0.85)',
        'rgba(205, 220, 57, 0.9)',
        'rgba(255, 235, 59, 0.95)',
        'rgba(255, 193, 7, 1)'
      ],

      components: {
        preview: true,
        opacity: true,
        hue: true,

        interaction: {
          hex: true,
          rgba: true,
          hsva: false,
          input: true,
          save: true
        }
      }
    }).on('init', pickr => {
      //primary_color.value = pickr.getSelectedColor().toRGBA().toString(0);
      //jQuery(primary_color).css('background',color.toRGBA().toString(0));
    }).on('save', color => {
      primary_color.value = color.toRGBA().toString(0);
      jQuery(primary_color).css('background',color.toRGBA().toString(0));
      pickr.hide();
    });
}
const secondary_color = document.querySelector('#km_fieldday_secondary_color');
    var secondary_color_value = jQuery(secondary_color).val();
    jQuery(secondary_color).css('background',secondary_color_value);

  if(secondary_color){
    const pickr_sec = new Pickr({
      el: secondary_color,
      useAsButton: true,
      theme: 'monolith',

      swatches: [
        'rgba(244, 67, 54, 1)',
        'rgba(233, 30, 99, 0.95)',
        'rgba(156, 39, 176, 0.9)',
        'rgba(103, 58, 183, 0.85)',
        'rgba(63, 81, 181, 0.8)',
        'rgba(33, 150, 243, 0.75)',
        'rgba(3, 169, 244, 0.7)',
        'rgba(0, 188, 212, 0.7)',
        'rgba(0, 150, 136, 0.75)',
        'rgba(76, 175, 80, 0.8)',
        'rgba(139, 195, 74, 0.85)',
        'rgba(205, 220, 57, 0.9)',
        'rgba(255, 235, 59, 0.95)',
        'rgba(255, 193, 7, 1)'
      ],

      components: {
        preview: true,
        opacity: true,
        hue: true,

        interaction: {
          hex: true,
          rgba: true,
          hsva: false,
          input: true,
          save: true
        }
      }
    }).on('init', pickr => {
      //secondary_color.value = pickr_sec.getSelectedColor().toRGBA().toString(0);
    }).on('save', color => {
      secondary_color.value = color.toRGBA().toString(0);
      jQuery(secondary_color).css('background',color.toRGBA().toString(0));
      pickr_sec.hide();
    });
  }
});