<?php
//echo "<pre>"; print_r($session); echo "</pre>";
$session_extra = $this->GetSessionVar($session);
$sessionPrice = $session->price;
$sessionPriceRange = $session->activityId->priceRange;
$sessionPriceRangeFrom = $sessionPriceRange->from;
$sessionPriceRangeto = isset($sessionPriceRange->to) ? $sessionPriceRange->to : null;
$sessionDateFromFilter = date('n', strtotime($session->dateTimestamp->from));
$sessionDateToFilter = date('n', strtotime($session->dateTimestamp->to));
$oneDaySelectedDate = $this->getValue('oneDaySelectedDate', $session, false);
$agefrom = $session->ageRange->from ?? $session->activityId->ageRange->from;
$ageto = $session->ageRange->to ?? $session->activityId->ageRange->to;
//$location_link = $session->siteLocationId->googleMapUrl;
//$description= $session->description;
//$description= substr_replace($description, "...", 250);

$themeimgFile = plugin_dir_url(__FILE__) . "/assets/images/icon.svg";
?>
<li id="km_session_two_coloum_layout" class="km_session_single_item activethemeview km_records" data-time-stamp-from="<?php echo $session->dateTimestamp->from; ?>" data-time-stamp-to="<?php echo $session->dateTimestamp->to; ?>" data-day-type="<?php echo $session_extra['activityType']; ?>" data-month-from="<?php echo $sessionDateFromFilter; ?>" data-month-to="<?php echo $sessionDateToFilter; ?>" data-age-from="<?php echo $agefrom; ?>" data-age-to="<?php echo $session->activityId->ageRange->to; ?>">

    <!-- New Design -->
    <!-- Img -->
    <div class="km_col_2">
        <div class="km_align">
            <div class="km_thumbnail_new">
                <?php $this->displaySessionThumb($session); ?>
            </div>
        </div>
    </div>

    <!-- Content -->
    <div class="km_col_10">
        <div class="km_Heading_content">
            <!-- Heading -->
            <div onclick="return fieldday.viewSessionDetail('<?php echo $session->_id; ?>');" class="km_full_age">
                <input type='hidden' id='km_session_tags' value='{}'>
                <h3 class="km_session_name_heading km_with_tooltip km_primary_color" onclick="return fieldday.viewSessionDetail('<?php echo $session->_id; ?>');" ><?php echo $session->name; ?>
                    <!--div class="km_with_tooltip">
                   <img src="<?php //echo $themeimgFile; ?>" class="km_icon_infor">

                <span class="tooltiptext">More Info About This Activity</span>
                </div-->
                </h3>
                <div class="km_descri" style="display: none"><?php echo $session->description; ?></div>

                <div class="km_session_full_ages">
                    <i class="fa fa-child km_primary_color" aria-hidden="true"></i>
                    <span class="session_age_group">
                        <?php print wp_sprintf("%d - %d yrs", $agefrom, $ageto) ?>
                    </span>


                </div>

               <div class="km_avaiableseats_session_section">
                    <a href="javascript:void(0);"  onclick="return fieldday.viewSessionDetail('<?php echo $session->_id; ?>');" class="km_session_btn km_moreinfor km_primary_color km_transparent_bg">More Info</a>
                </div>

            </div>
            <div class="km_Heading_content_inner">
                <div class="km_full_age_days">
                    <div class="km_session_days">
                        <span class="activity_title" style="display: none;"><?php echo apply_filters("km_sessionlist_activity_title", $session_extra['activityTitle'], $session, $session_extra); ?></span>
                        <span class="km_session_days_wrap">
                            <?php $this->sessionDays($session); ?>
                        </span>
                    </div>
                </div>

                <!-- Date -->
                <div class="km_month_date km_month_year">
                    <i class="fa fa-calendar GridIcon" aria-hidden="true"></i>
                    <span class="time km_session_month"></span>
                    <span class="year km_session_year"></span>
                </div>
                <div class="km_time">
                    <i class="fa fa-clock-o GridIcon" aria-hidden="true"></i>
                    <span class="time km_sess_time"></span>
                </div>

                

                <div class="km_location_session_section">
                    <i class="fa fa-map-marker"></i>
                    <span class="km_location_session_details"><a href="<?php echo $location_link; ?>" onclick="window.open(this.href,'targetWindow','toolbar=no,location=no,status=no,menubar=no,scrollbars=yes,resizable=yes,width=600,height=600'); return false;"><?php echo $location; ?></a><?php //echo $location; ?></span>
                </div>

            </div>

            <div class="km_session_bottom_wrap km_listview_price_col">
                <?php if ($session->availableSpots) {  ?>
                <div class="km_session_price_div">
                    <span class="price">
                        <i class="fa fa-usd GridIcon" aria-hidden="true"></i>
                        <?php if($session->offersClassPackages){ if($session->availableSpots>0){ echo $this->CountPackagePrice(1,false); echo '<span class="km_price_t">'.__('/month', 'fieldday').'</span>'; } } else {
                            //echo $this->display_price($session->price);
                            print $this->sessionBookingavail($session,false);
                        }
                        if (!empty($sessionPriceRangeTo)) :
                            wp_sprintf("- %s", $this->display_price($sessionPriceRangeTo));
                        endif;
                        ?>
                    </span>
                </div>
                <?php } if($session->enablePaymentOptions):
                echo '<div class="km_plan_whl">';
                        if($session->price){
                            echo $this->display_price($session->price)." or ";
                        }
                 ?>
                 <a <?php $this->InstallmentPopup($session->_id, $tagId, $oneDaySelectedDate); ?> href="javascript:void(0);" class="km_primary_color km_plans_btn">
                    <?php $this->displayText('installment_plans'); ?>
                    </a>
                <?php echo '</div>';
                 endif; ?>
                <div class="km_cart_button_p">
                        <?php 
                        //echo "<pre>"; print_r($session); echo "</pre>";
                        if ($session->availableSpots && $session->sessionType!='event') :
                            if($session->offersClassPackages){ ?> 
                                <a <?php _e($this->packageRegister($session->_id), 'fieldday');  ?> href="javascript:void(0);" data-click="<?php echo $session->_id; ?>" class="km_btn km_feature_purchase_btn km_primary_bg km_session_btn">
                                <?php _e('Book Now', 'fieldday'); ?>
                                </a>
                            <?php } else { ?>
                        <a <?php _e($this->sessionRegister($session->_id, $tagId, $oneDaySelectedDate), 'fieldday'); ?> href="javascript:void(0);" data-click="<?php echo $session->_id; ?>" class="km_btn km_primary_bg km_session_btn">
                        <?php $this->displayText('add_to_cart_btn'); ?>
                        </a>
                    <?php } else: 
                    if ($session->sessionType!='event'){
                    ?>
                    <a class="disabled km_btn km_session_btn km_primary_bg"><?php _e('Registration Full', 'fieldday'); ?></a>
                    <?php } endif; 
                    if ($session->sessionType=='event') { ?>
                                <a <?php _e($this->eventRegister($session->_id, 'event'), 'fieldday');  ?> href="javascript:void(0);" data-click="<?php echo $session->_id; ?>" class="km_btn km_event_purchase_btn km_primary_bg km_session_btn">
                                <?php _e('Book Now', 'fieldday'); ?>
                                </a>
                    <?php } ?>
                </div>
                <div class="km_avaiableseats_session_section">
                    <?php if($session->availableSpots){ 
                        if($session->availableSpots>100){
                            $slots = "100+";
                        }else { $slots = $session->availableSpots; }
                    ?>
                    <span class="session_seats <?php echo $session_extra['SeatsClass']; ?>">
                        <?php echo $slots; ?> <?php _e('Available Seat(s)', 'fieldday'); ?>
                    </span>
                <?php } ?>
                </div>
            </div>

        </div>
    </div>
<!-- Add to cart -->
</li>